﻿<?php
/*
Plugin Name: Blogmarking
Plugin URI: http://cybernerd.info/wp-plugins/blogmarking/
Description: Blogmarking &eacute; plugin que exibe abaixo das postagens do blog um social bookmark e também exibe a quantidade de assinantes do feed, assim possibilitando para aqueles que já tem uma boa quantidade de feeds a acariciar novos assinantes e os que não tem a ganhar os primeiros.
Version: 1.3
Author: Ronis Nascimento
Author URI: http://www.ronis.com.br
*/

$url = get_bloginfo('wpurl');
$blogmark_version = "1.3";
$feed_blog = 'http://feeds.feedburner.com/yourfeed';
$short_api = 'http://migre.me/api.txt?url=';
$twt_user = 'reitor';
$rssoption = '';
$twtoption = '';
add_option('FeedBlog', $feed_blog);
add_option('ShortAPI', $short_api);
add_option('TWTuser', $twt_user);
add_option('RssOption', $rssoption);
add_option('TwitterOption', $twtoption);
$feed_blog_opt = stripslashes(get_option('FeedBlog'));
$short_api_opt = stripslashes(get_option('ShortAPI'));
$twt_opt = stripslashes(get_option('TWTuser'));
$rss_option = stripslashes(get_option('RssOption'));
$twt_option = stripslashes(get_option('TwitterOption'));


// Formulário de opções
function blogmarking_menu() {
	global $feed_blog_opt, $short_api_opt, $twt_opt, $twt_option ,$blogmark_version;
	if (isset($_POST['blogmarking_update'])) {
		update_option('FeedBlog', stripslashes(trim($_POST['FeedBlog'])));
		$feed_blog_opt = stripslashes(get_option('FeedBlog'));
		update_option('ShortAPI', stripslashes(trim($_POST['ShortAPI'])));
		$short_api_opt = stripslashes(get_option('ShortAPI'));
		update_option('TWTuser', stripslashes(trim($_POST['TWTuser'])));
		$twt_opt = stripslashes(get_option('TWTuser'));
		update_option('RssOption', stripslashes(trim($_POST['RssOption'])));
		$rss_option = stripslashes(get_option('RssOption'));
		update_option('TwitterOption', stripslashes(trim($_POST['TwitterOption'])));
		$twt_option = stripslashes(get_option('TwitterOption'));
			echo '<div id="message" class="updated fade">';
			echo '<p><strong>';
           		echo 'Plugin atualizado com sucesso!';
			echo '</strong></p>';
			echo '</div>';
	}	
	echo "<div class='wrap'>\n";
	echo "<div id='icon-options-general' class='icon32'><br /></div>\n";
	echo '<form name="BLOGMARKING" method="post">';
	echo '<h2>Blogmarking '.$blogmark_version.'</h2>';
	echo '<h3>Configuração</h3>'."\n";
	echo '<table class="form-table">'."\n";
	echo '<tr valign="top">'."\n";
	echo '<th scope="row">'."\n";
	echo '<label for="upload_path">Usuário Twitter:</label></th>';
	echo '<td>';
	echo "<span class='setting-description'><em>Ex.: <b>Reitor</b></em></span><br><input type='text' size='30' name='TWTuser' value='".$twt_opt."' class='regular-text code'>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo '<tr valign="top">'."\n";
	echo '<th scope="row">'."\n";
	echo '<label for="upload_path">API Encurtador:</label></th>';
	echo '<td>';
	echo "<span class='setting-description'><em>Ex.: <b>http://migre.me/api.txt?url=</b></em></span><br><input type='text' size='30' name='ShortAPI' value='".$short_api_opt."' class='regular-text code'>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo '<tr valign="top">'."\n";
	echo '<th scope="row">'."\n";
	echo '<label for="upload_path">Feedburner RSS URL:</label></th>';
	echo '<td>';
	echo "<span class='setting-description'><em>http://feeds.feedburner.com/<b>yourfeed</b></em></span><br><input type='text' size='30' name='FeedBlog' value='".$feed_blog_opt."' class='regular-text code'>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo '<tr valign="top">'."\n";
	echo '<td>'."\n";
	echo "<br><input type='checkbox' id='RssOption' name='RssOption' value='checked' ".$rss_option."/>\n";
        echo "<label for='RssOption'> Exibir número de assinantes?</label>\n";
	echo "<br><input type='checkbox' id='TwitterOption' name='TwitterOption' value='checked' ".$twt_option."/>\n";
        echo "<label for='TwitterOption'> Exibir número de seguidores?</label>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo '</table>';
	echo '<p class="submit">';
	echo '<input type="submit" name="blogmarking_update" class="button-primary" value="Salvar" />';
	echo '</p>';
	echo '</form>';
	echo '<i>by <a href="http://cybernerd.info/" target="_blank">CyberNerd.info | Ronis Nascimento</a>.</i>';
	echo '</div>';
}

function Blogmark_opt() {
	if (function_exists('add_menu_page')) {
		add_menu_page('Blogmarking', 'Blogmarking', 5, basename(__FILE__), 'blogmarking_menu');
    }
}

function blogmarking_css() {
	global $blogmark_version,$url;
	echo "\n<!-- Blogmarking Plugin {$blogmark_version} -->\n";
	echo "<link rel='stylesheet' href='{$url}/wp-content/plugins/blogmarking/blogmarking.css' type='text/css' />\n";
	echo "<!-- ronis.com.br -->\n";
}
function blogmarking($conteudo) {
	global $feed_blog_opt, $rss_option, $twt_option, $twt_opt, $short_api_opt, $wp_query;
		if(is_single()) {
		$post = $wp_query->post;
		$title = urlencode($post->post_title);
		$titulo = str_replace('+','%20',$title);
		$link = urlencode(get_permalink($post->ID));
		$resumo = $post->post_excerpt;
		$nome_blog = get_option('blogname');
		$s_url = $short_api_opt.$link;
		$short = file_get_contents($s_url);
		$link_ueba = "http://ueba.com.br/NovoLink?url=".$link."&titulo=".$titulo."&origem=".$nome_blog;
		$link_twitter = "http://twitter.com/home?status=".$titulo." - ".$short;
		$link_linkninja = "http://linkninja.com.br/enviar_link.php?story_url=".$link;
		$link_ocioso = "http://ocioso.com.br/enviarlink.php?titulo=".$titulo."&site=".$link;
		$link_facebook = "http://www.facebook.com/sharer.php?&u=".$link."&t=".$titulo;
		$link_delicious = "http://delicious.com/post?url=".$link."&title=".$titulo;
		$link_linkk = "http://www.linkk.com.br/submit.php?url=".$link."&title=".$titulo;
		$link_colmeia = "http://www.colmeia.blog.br/submit?url=".$link."&title=".$titulo;
		$link_domelhor = "http://domelhor.net/submit.php?url=".$link."&titulo=".$titulo;
		$link_rec6 = "http://www.via6.com/rec6/link.php?url=".$link;
		$link_digg = "http://digg.com/submit?phase=2&url=".$link."&title=".$titulo;

	$template = '
   <div class="blogMarking">
    <div class="bM">Compartilhe!';
if ($rss_option == 'checked'){
   $template .=' | <a href="http://feeds.feedburner.com/'.feed_get_uri().'" alt="Feed RSS" title="Assine nosso Feed RSS!" class="fbcount">'.feedscount().' Assinantes</a>';
}
if ($twt_option == 'checked'){
   $template .=' | <a href="http://www.twitter.com/'.$twt_opt.'" alt="Twitter" title="Siga-me no Twitter!" class="twtcount">'.twtcount().' Seguidores</a>';
}
    $template .= '
</div>
<ul class="blogMrkg">
     <a href="'.$link_twitter.'" class="twitter" title="Compartilhar no Twitter"><span>Twitter</span></a>
     <a href="'.$link_facebook.'" class="facebook" title="Compartilhar no Facebook"><span>Facebook</span></a>
     <a href="'.$link_delicious.'" class="delicious" title="Compartilhar no del.ecio.us"><span>Delicious</span></a>
     <a href="'.$link_digg.'" class="digg" title="Compartilhar no Digg"><span>Digg</span></a>
     <a href="'.$link_rec6.'" class="rec6" title="Compartilhar no Rec6"><span>Rec6</span></a>
     <a href="'.$link_domelhor.'" class="domelhor" title="Compartilhar no doMelhor"><span>doMelhor</span></a>
     <a href="'.$link_linkk.'" class="linkk" title="Compartilhar no Linkk"><span>Linkk</span></a>
     <a href="'.$link_colmeia.'" class="colmeia" title="Compartilhar no Colmeia"><span>Colmeia</span></a>
     <a href="'.$link_ocioso.'" class="ocioso" title="Compartilhar no Ocioso"><span>Ocioso</span></a>
     <a href="'.$link_linkninja.'" class="linkninja" title="Compartilhar no Link Ninja"><span>Link Ninja</span></a>
     <a href="'.$link_ueba.'" class="ueba" title="Compartilhar no Ueba"><span>Ueba</span></a>
    </ul>
   </div>';
	$conteudo = $conteudo."\n".$template."\n";
}
	return $conteudo;
}

function feed_get_uri() {
	global $feed_blog_opt;
$fburl="http://feedburner.google.com/api/awareness/1.0/GetFeedData?uri=".$feed_blog_opt;
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $fburl);
	$stored = curl_exec($ch);
	curl_close($ch);
	$grid = new SimpleXMLElement($stored);
	$geturi = $grid->feed['uri'];
	return $geturi;
}
function feedscount() {
	global $feed_blog_opt;
$fburl="http://feedburner.google.com/api/awareness/1.0/GetFeedData?uri=".$feed_blog_opt;
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $fburl);
	$stored = curl_exec($ch);
	curl_close($ch);
	$grid = new SimpleXMLElement($stored);
	$rsscount = $grid->feed->entry['circulation'];
	return strval ( $rsscount );
}
function twtcount() {
	global $twt_opt;
	$twturl="http://twitter.com/users/show/".$twt_opt;
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_URL, $twturl);
	$xml = curl_exec($ch);
	curl_close($ch);
        $profile = new SimpleXMLElement ( $xml );
        $count = $profile->followers_count;
        return strval ( $count );
}
add_action('admin_menu', 'Blogmark_opt');
add_action('wp_head', 'blogmarking_css');
add_filter('the_content','blogmarking');
add_filter('the_excerpt','blogmarking');
?>